com.holonplatform.jaxrs.swagger.spring

## Class SwaggerConfigurationProperties.ApiGroupConfiguration

- java.lang.Object
- - com.holonplatform.jaxrs.swagger.spring.SwaggerConfigurationProperties.ApiGroupConfiguration

- Enclosing class:
    SwaggerConfigurationProperties

      public static class SwaggerConfigurationProperties.ApiGroupConfiguration
      extends Object

  API group configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiGroupConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getAuthSchemes()`
    `String` | `getContact()`
    `String` | `getDescription()`
    `String` | `getGroupId()`
    `String` | `getLicense()`
    `String` | `getLicenseUrl()`
    `String` | `getPath()`
    `String` | `getResourcePackage()`
    `String[]` | `getSchemes()`
    `String[]` | `getSecurityRoles()`
    `String` | `getTermsOfServiceUrl()`
    `String` | `getTitle()`
    `String` | `getVersion()`
    `void` | `setAuthSchemes(String[] authSchemes)`
    `void` | `setContact(String contact)`
    `void` | `setDescription(String description)`
    `void` | `setGroupId(String groupId)`
    `void` | `setLicense(String license)`
    `void` | `setLicenseUrl(String licenseUrl)`
    `void` | `setPath(String path)`
    `void` | `setResourcePackage(String resourcePackage)`
    `void` | `setSchemes(String[] schemes)`
    `void` | `setSecurityRoles(String[] securityRoles)`
    `void` | `setTermsOfServiceUrl(String termsOfServiceUrl)`
    `void` | `setTitle(String title)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiGroupConfiguration

          public ApiGroupConfiguration()

  - ### Method Detail

    - #### getGroupId

          public String getGroupId()

    - #### setGroupId

          public void setGroupId(String groupId)

    - #### getResourcePackage

          public String getResourcePackage()

    - #### setResourcePackage

          public void setResourcePackage(String resourcePackage)

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath(String path)

    - #### getSchemes

          public String[] getSchemes()

    - #### setSchemes

          public void setSchemes(String[] schemes)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getTermsOfServiceUrl

          public String getTermsOfServiceUrl()

    - #### setTermsOfServiceUrl

          public void setTermsOfServiceUrl(String termsOfServiceUrl)

    - #### getContact

          public String getContact()

    - #### setContact

          public void setContact(String contact)

    - #### getLicense

          public String getLicense()

    - #### setLicense

          public void setLicense(String license)

    - #### getLicenseUrl

          public String getLicenseUrl()

    - #### setLicenseUrl

          public void setLicenseUrl(String licenseUrl)

    - #### getSecurityRoles

          public String[] getSecurityRoles()

    - #### setSecurityRoles

          public void setSecurityRoles(String[] securityRoles)

    - #### getAuthSchemes

          public String[] getAuthSchemes()

    - #### setAuthSchemes

          public void setAuthSchemes(String[] authSchemes)

Copyright © 2017 The Holon Platform. All rights reserved.